Pack

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class Pack

    java.lang.Object
      Pack

    public class Pack

extends java.lang.Object

Pack Class.

Pack object created from List.

Licensed under GNU GPL (Version 3).

Version:
  1.0 17-Dec-07
Author:
  Keripo

Field Summary
`java.lang.String` | `author`
`java.lang.String` | `category`
`java.lang.String[]` | `dependencies`
`java.lang.String` | `description`
`java.lang.String` | `download`
`java.lang.String` | `icon`
`java.lang.String` | `id`
`java.lang.String[]` | `links`
`java.lang.String` | `m5d`
`java.lang.String[]` | `mirrors`
`java.lang.String` | `name`
`java.lang.String` | `path`
`java.lang.String[]` | `pictures`
`int` | `status`
`java.lang.String[]` | `supported`
`java.lang.String` | `version`

Constructor Summary
`Pack(java.lang.String id)`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### id

    public java.lang.String id

### name

    public java.lang.String name

### author

    public java.lang.String author

### category

    public java.lang.String category

### status

    public int status

### supported

    public java.lang.String[] supported

### dependencies

    public java.lang.String[] dependencies

### version

    public java.lang.String version

### description

    public java.lang.String description

### icon

    public java.lang.String icon

### links

    public java.lang.String[] links

### pictures

    public java.lang.String[] pictures

### download

    public java.lang.String download

### m5d

    public java.lang.String m5d

### path

    public java.lang.String path

### mirrors

    public java.lang.String[] mirrors

Constructor Detail

### Pack

    public Pack(java.lang.String id)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD